Issue 3259

Title
Balance Sheet view not reflecting the Account Types hierarchy
Priority
bug
Status
resolved
Nosy list
ced, mrechte
Assigned to
ced
Keywords

Created on 2013-06-13.10:23:19 by mrechte, last changed 89 months ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-06-26.22:50:27
Fixed with rev bcb65e9b7b9b and rev 9f17dfe041a0
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-06-17.23:01:29
Please test review933002 and review929003
Author: [hidden] (mrechte)
Date: 2013-06-13.12:46:35
I guess class 6 (Expenses) and 7 (Revenue), but I am not an accountant.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2013-06-13.11:01:48
On 13/06/13 10:23 +0200, Marc Rechté wrote:
> 2) None of the accounts, in the French Chart, are marked as income_statement. A
> review should be undertaken to adjust it.

Which one should be in income_statement?
Author: [hidden] (mrechte)
Date: 2013-06-13.10:23:16
The Balance Sheet is a hierarchical tree view of Account Types (marked as
balance sheet). So one may be expecting the same hierarchy than for the Account
Types view. This is not the case with French Chart of Account Types.
1) the domain specification seems inappropriate in account.xml for the domain in
act_account_balance_sheet_tree. It could be replaced with: [('balance_sheet',
'=', True), ['OR', ('parent', '=', None), ('parent.balance_sheet', '=', False)]]
2) None of the accounts, in the French Chart, are marked as income_statement. A
review should be undertaken to adjust it.
3) The Income Statement view probably suffers from the same issue.
History
Date User Action Args
2013-06-26 22:50:28cedsetstatus: testing -> resolved
messages: + msg13630
2013-06-17 23:01:30cedsetstatus: chatting -> testing
assignedto: ced
messages: + msg13604
2013-06-13 12:46:36mrechtesetmessages: + msg13582
2013-06-13 11:01:50cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg13581
2013-06-13 10:23:19mrechtecreate

Showing 10 items. Show all history (warning: this could be VERY long)